diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/xcode_ninja.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/xcode_ninja.py
index bc76ffff4e..6614247cea 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/xcode_ninja.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/xcode_ninja.py
@@ -28,7 +28,7 @@ def _WriteWorkspace(main_gyp, sources_gyp, params):
     workspace_path = os.path.join(options.generator_output, workspace_path)
   try:
     os.makedirs(workspace_path)
-  except OSError, e:
+  except OSError as e:
     if e.errno != errno.EEXIST:
       raise
   output_string = '<?xml version="1.0" encoding="UTF-8"?>\n' + \
@@ -42,11 +42,11 @@ def _WriteWorkspace(main_gyp, sources_gyp, params):
   workspace_file = os.path.join(workspace_path, "contents.xcworkspacedata")
 
   try:
-    with open(workspace_file, 'r') as input_file:
+    with open(workspace_file) as input_file:
       input_string = input_file.read()
       if input_string == output_string:
         return
-  except IOError:
+  except OSError:
     # Ignore errors if the file doesn't exist.
     pass
 
@@ -85,7 +85,7 @@ def _TargetFromSpec(old_spec, params):
         "%s/$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)" % ninja_toplevel
 
   if 'configurations' in old_spec:
-    for config in old_spec['configurations'].iterkeys():
+    for config in old_spec['configurations'].keys():
       old_xcode_settings = \
         old_spec['configurations'][config].get('xcode_settings', {})
       if 'IPHONEOS_DEPLOYMENT_TARGET' in old_xcode_settings:
@@ -167,7 +167,7 @@ def CreateWrapper(target_list, target_dicts, data, params):
     params: Dict of global options for gyp.
   """
   orig_gyp = params['build_files'][0]
-  for gyp_name, gyp_dict in data.iteritems():
+  for gyp_name, gyp_dict in data.items():
     if gyp_name == orig_gyp:
       depth = gyp_dict['_DEPTH']
 
@@ -206,7 +206,7 @@ def CreateWrapper(target_list, target_dicts, data, params):
     if IsValidTargetForWrapper(target_extras, executable_target_pattern, spec):
       # Add to new_target_list.
       target_name = spec.get('target_name')
-      new_target_name = '%s:%s#target' % (main_gyp, target_name)
+      new_target_name = '{}:{}#target'.format(main_gyp, target_name)
       new_target_list.append(new_target_name)
 
       # Add to new_target_dicts.
@@ -238,7 +238,7 @@ def CreateWrapper(target_list, target_dicts, data, params):
       not generator_flags.get('xcode_ninja_list_excluded_files', True)
 
   sources = []
-  for target, target_dict in target_dicts.iteritems():
+  for target, target_dict in target_dicts.items():
     base = os.path.dirname(target)
     files = target_dict.get('sources', []) + \
             target_dict.get('mac_bundle_resources', [])
@@ -268,7 +268,7 @@ def CreateWrapper(target_list, target_dicts, data, params):
   sources_gyp = \
       os.path.join(os.path.dirname(main_gyp), sources_target_name + ".gyp")
   fully_qualified_target_name = \
-      '%s:%s#target' % (sources_gyp, sources_target_name)
+      '{}:{}#target'.format(sources_gyp, sources_target_name)
 
   # Add to new_target_list, new_target_dicts and new_data.
   new_target_list.append(fully_qualified_target_name)
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/xcodeproj_file.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/xcodeproj_file.py
index e69235f724..e2235bc5db 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/xcodeproj_file.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/xcodeproj_file.py
@@ -198,7 +198,7 @@ def SourceTreeAndPathFromPath(input_path):
 def ConvertVariablesToShellSyntax(input_string):
   return re.sub(r'\$\((.*?)\)', '${\\1}', input_string)
 
-class XCObject(object):
+class XCObject:
   """The abstract base of all class types used in Xcode project files.
 
   Class variables:
@@ -300,8 +300,8 @@ class XCObject(object):
     try:
       name = self.Name()
     except NotImplementedError:
-      return '<%s at 0x%x>' % (self.__class__.__name__, id(self))
-    return '<%s %r at 0x%x>' % (self.__class__.__name__, name, id(self))
+      return '<{} at 0x{:x}>'.format(self.__class__.__name__, id(self))
+    return '<{} {!r} at 0x{:x}>'.format(self.__class__.__name__, name, id(self))
 
   def Copy(self):
     """Make a copy of this object.
@@ -314,7 +314,7 @@ class XCObject(object):
     """
 
     that = self.__class__(id=self.id, parent=self.parent)
-    for key, value in self._properties.iteritems():
+    for key, value in self._properties.items():
       is_strong = self._schema[key][2]
 
       if isinstance(value, XCObject):
@@ -324,7 +324,7 @@ class XCObject(object):
           that._properties[key] = new_value
         else:
           that._properties[key] = value
-      elif isinstance(value, str) or isinstance(value, unicode) or \
+      elif isinstance(value, str) or isinstance(value, str) or \
            isinstance(value, int):
         that._properties[key] = value
       elif isinstance(value, list):
@@ -452,7 +452,7 @@ class XCObject(object):
       digest_int_count = hash.digest_size / 4
       digest_ints = struct.unpack('>' + 'I' * digest_int_count, hash.digest())
       id_ints = [0, 0, 0]
-      for index in xrange(0, digest_int_count):
+      for index in range(0, digest_int_count):
         id_ints[index % 3] ^= digest_ints[index]
       self.id = '%08X%08X%08X' % tuple(id_ints)
 
@@ -475,7 +475,7 @@ class XCObject(object):
     """Returns a list of all of this object's owned (strong) children."""
 
     children = []
-    for property, attributes in self._schema.iteritems():
+    for property, attributes in self._schema.items():
       (is_list, property_type, is_strong) = attributes[0:3]
       if is_strong and property in self._properties:
         if not is_list:
@@ -603,7 +603,7 @@ class XCObject(object):
       comment = value.Comment()
     elif isinstance(value, str):
       printable += self._EncodeString(value)
-    elif isinstance(value, unicode):
+    elif isinstance(value, str):
       printable += self._EncodeString(value.encode('utf-8'))
     elif isinstance(value, int):
       printable += str(value)
@@ -622,7 +622,7 @@ class XCObject(object):
         printable += end_tabs + ')'
     elif isinstance(value, dict):
       printable = '{' + sep
-      for item_key, item_value in sorted(value.iteritems()):
+      for item_key, item_value in sorted(value.items()):
         printable += element_tabs + \
             self._XCPrintableValue(tabs + 1, item_key, flatten_list) + ' = ' + \
             self._XCPrintableValue(tabs + 1, item_value, flatten_list) + ';' + \
@@ -691,7 +691,7 @@ class XCObject(object):
           printable_value[0] == '"' and printable_value[-1] == '"':
         printable_value = printable_value[1:-1]
       printable += printable_key + ' = ' + printable_value + ';' + after_kv
-    except TypeError, e:
+    except TypeError as e:
       gyp.common.ExceptionAppend(e,
                                  'while printing key "%s"' % key)
       raise
@@ -730,7 +730,7 @@ class XCObject(object):
     self._XCKVPrint(file, 3, 'isa', self.__class__.__name__)
 
     # The remaining elements of an object dictionary are sorted alphabetically.
-    for property, value in sorted(self._properties.iteritems()):
+    for property, value in sorted(self._properties.items()):
       self._XCKVPrint(file, 3, property, value)
 
     # End the object.
@@ -752,7 +752,7 @@ class XCObject(object):
     if properties is None:
       return
 
-    for property, value in properties.iteritems():
+    for property, value in properties.items():
       # Make sure the property is in the schema.
       if not property in self._schema:
         raise KeyError(property + ' not in ' + self.__class__.__name__)
@@ -766,7 +766,7 @@ class XCObject(object):
                 ' must be list, not ' + value.__class__.__name__)
         for item in value:
           if not isinstance(item, property_type) and \
-             not (item.__class__ == unicode and property_type == str):
+             not (item.__class__ == str and property_type == str):
             # Accept unicode where str is specified.  str is treated as
             # UTF-8-encoded.
             raise TypeError(
@@ -774,7 +774,7 @@ class XCObject(object):
                   ' must be ' + property_type.__name__ + ', not ' + \
                   item.__class__.__name__)
       elif not isinstance(value, property_type) and \
-           not (value.__class__ == unicode and property_type == str):
+           not (value.__class__ == str and property_type == str):
         # Accept unicode where str is specified.  str is treated as
         # UTF-8-encoded.
         raise TypeError(
@@ -788,7 +788,7 @@ class XCObject(object):
             self._properties[property] = value.Copy()
           else:
             self._properties[property] = value
-        elif isinstance(value, str) or isinstance(value, unicode) or \
+        elif isinstance(value, str) or isinstance(value, str) or \
              isinstance(value, int):
           self._properties[property] = value
         elif isinstance(value, list):
@@ -865,7 +865,7 @@ class XCObject(object):
 
     # TODO(mark): A stronger verification mechanism is needed.  Some
     # subclasses need to perform validation beyond what the schema can enforce.
-    for property, attributes in self._schema.iteritems():
+    for property, attributes in self._schema.items():
       (is_list, property_type, is_strong, is_required) = attributes[0:4]
       if is_required and not property in self._properties:
         raise KeyError(self.__class__.__name__ + ' requires ' + property)
@@ -875,7 +875,7 @@ class XCObject(object):
     overwrite properties that have already been set."""
 
     defaults = {}
-    for property, attributes in self._schema.iteritems():
+    for property, attributes in self._schema.items():
       (is_list, property_type, is_strong, is_required) = attributes[0:4]
       if is_required and len(attributes) >= 5 and \
           not property in self._properties:
@@ -1426,7 +1426,7 @@ class XCFileLikeElement(XCHierarchicalElement):
     xche = self
     while xche != None and isinstance(xche, XCHierarchicalElement):
       xche_hashables = xche.Hashables()
-      for index in xrange(0, len(xche_hashables)):
+      for index in range(0, len(xche_hashables)):
         hashables.insert(index, xche_hashables[index])
       xche = xche.parent
     return hashables
@@ -2126,8 +2126,8 @@ class PBXContainerItemProxy(XCObject):
 
   def __repr__(self):
     props = self._properties
-    name = '%s.gyp:%s' % (props['containerPortal'].Name(), props['remoteInfo'])
-    return '<%s %r at 0x%x>' % (self.__class__.__name__, name, id(self))
+    name = '{}.gyp:{}'.format(props['containerPortal'].Name(), props['remoteInfo'])
+    return '<{} {!r} at 0x{:x}>'.format(self.__class__.__name__, name, id(self))
 
   def Name(self):
     # Admittedly not the best name, but it's what Xcode uses.
@@ -2162,7 +2162,7 @@ class PBXTargetDependency(XCObject):
 
   def __repr__(self):
     name = self._properties.get('name') or self._properties['target'].Name()
-    return '<%s %r at 0x%x>' % (self.__class__.__name__, name, id(self))
+    return '<{} {!r} at 0x{:x}>'.format(self.__class__.__name__, name, id(self))
 
   def Name(self):
     # Admittedly not the best name, but it's what Xcode uses.
@@ -2468,7 +2468,7 @@ class PBXNativeTarget(XCTarget):
       # The headers phase should come before the resources, sources, and
       # frameworks phases, if any.
       insert_at = len(self._properties['buildPhases'])
-      for index in xrange(0, len(self._properties['buildPhases'])):
+      for index in range(0, len(self._properties['buildPhases'])):
         phase = self._properties['buildPhases'][index]
         if isinstance(phase, PBXResourcesBuildPhase) or \
            isinstance(phase, PBXSourcesBuildPhase) or \
@@ -2489,7 +2489,7 @@ class PBXNativeTarget(XCTarget):
       # The resources phase should come before the sources and frameworks
       # phases, if any.
       insert_at = len(self._properties['buildPhases'])
-      for index in xrange(0, len(self._properties['buildPhases'])):
+      for index in range(0, len(self._properties['buildPhases'])):
         phase = self._properties['buildPhases'][index]
         if isinstance(phase, PBXSourcesBuildPhase) or \
            isinstance(phase, PBXFrameworksBuildPhase):
@@ -2911,7 +2911,7 @@ class PBXProject(XCContainerPortal):
       # determine the sort order.
       return cmp(x_index, y_index)
 
-    for other_pbxproject, ref_dict in self._other_pbxprojects.iteritems():
+    for other_pbxproject, ref_dict in self._other_pbxprojects.items():
       # Build up a list of products in the remote project file, ordered the
       # same as the targets that produce them.
       remote_products = []
@@ -2956,7 +2956,7 @@ class XCProjectFile(XCObject):
       self._XCPrint(file, 0, '{ ')
     else:
       self._XCPrint(file, 0, '{\n')
-    for property, value in sorted(self._properties.iteritems(),
+    for property, value in sorted(self._properties.items(),
                                   cmp=lambda x, y: cmp(x, y)):
       if property == 'objects':
         self._PrintObjects(file)
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/xml_fix.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/xml_fix.py
index 5de848158d..08c2073639 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/xml_fix.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/xml_fix.py
@@ -32,7 +32,7 @@ def _Replacement_writexml(self, writer, indent="", addindent="", newl=""):
   writer.write(indent+"<" + self.tagName)
 
   attrs = self._get_attributes()
-  a_names = attrs.keys()
+  a_names = list(attrs.keys())
   a_names.sort()
 
   for a_name in a_names:
@@ -43,12 +43,12 @@ def _Replacement_writexml(self, writer, indent="", addindent="", newl=""):
     writer.write(">%s" % newl)
     for node in self.childNodes:
       node.writexml(writer, indent + addindent, addindent, newl)
-    writer.write("%s</%s>%s" % (indent, self.tagName, newl))
+    writer.write("{}</{}>{}".format(indent, self.tagName, newl))
   else:
     writer.write("/>%s" % newl)
 
 
-class XmlFix(object):
+class XmlFix:
   """Object to manage temporary patching of xml.dom.minidom."""
 
   def __init__(self):
diff --git a/media/webrtc/trunk/tools/gyp/test/actions-multiple-outputs-with-dependencies/gyptest-action.py b/media/webrtc/trunk/tools/gyp/test/actions-multiple-outputs-with-dependencies/gyptest-action.py
index ebc7f4fd94..fd2870e73b 100755
--- a/media/webrtc/trunk/tools/gyp/test/actions-multiple-outputs-with-dependencies/gyptest-action.py
+++ b/media/webrtc/trunk/tools/gyp/test/actions-multiple-outputs-with-dependencies/gyptest-action.py
@@ -10,13 +10,14 @@ Verifies actions with multiple outputs & dependncies will correctly rebuild.
 This is a regression test for crrev.com/1177163002.
 """
 
+from __future__ import print_function
 import TestGyp
 import os
 import sys
 import time
 
 if sys.platform in ('darwin', 'win32'):
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 test = TestGyp.TestGyp()
diff --git a/media/webrtc/trunk/tools/gyp/test/actions-multiple-outputs/gyptest-multiple-outputs.py b/media/webrtc/trunk/tools/gyp/test/actions-multiple-outputs/gyptest-multiple-outputs.py
index 72a7040a01..d552d36594 100755
--- a/media/webrtc/trunk/tools/gyp/test/actions-multiple-outputs/gyptest-multiple-outputs.py
+++ b/media/webrtc/trunk/tools/gyp/test/actions-multiple-outputs/gyptest-multiple-outputs.py
@@ -8,12 +8,13 @@
 Verifies actions with multiple outputs will correctly rebuild.
 """
 
+from __future__ import print_function
 import TestGyp
 import os
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 test = TestGyp.TestGyp()
diff --git a/media/webrtc/trunk/tools/gyp/test/actions-multiple/src/filter.py b/media/webrtc/trunk/tools/gyp/test/actions-multiple/src/filter.py
index f61a5fa59a..36a9dc7be3 100755
--- a/media/webrtc/trunk/tools/gyp/test/actions-multiple/src/filter.py
+++ b/media/webrtc/trunk/tools/gyp/test/actions-multiple/src/filter.py
@@ -6,7 +6,7 @@
 
 import sys
 
-data = open(sys.argv[3], 'r').read()
+data = open(sys.argv[3]).read()
 fh = open(sys.argv[4], 'w')
 fh.write(data.replace(sys.argv[1], sys.argv[2]))
 fh.close()
diff --git a/media/webrtc/trunk/tools/gyp/test/analyzer/gyptest-analyzer.py b/media/webrtc/trunk/tools/gyp/test/analyzer/gyptest-analyzer.py
index 72de21813c..5f2f1bef4d 100644
--- a/media/webrtc/trunk/tools/gyp/test/analyzer/gyptest-analyzer.py
+++ b/media/webrtc/trunk/tools/gyp/test/analyzer/gyptest-analyzer.py
@@ -32,7 +32,7 @@ def _CreateBogusConfigFile():
 
 
 def _ReadOutputFileContents():
-  f = open('analyzer_output', 'r')
+  f = open('analyzer_output')
   result = json.load(f)
   f.close()
   return result
@@ -75,57 +75,57 @@ def EnsureContains(matched=False, compile_targets=set(), test_targets=set()):
   """Verifies output contains |compile_targets|."""
   result = _ReadOutputFileContents()
   if 'error' in result:
-    print 'unexpected error', result.get('error')
+    print('unexpected error', result.get('error'))
     test.fail_test()
 
   if 'invalid_targets' in result:
-    print 'unexpected invalid_targets', result.get('invalid_targets')
+    print('unexpected invalid_targets', result.get('invalid_targets'))
     test.fail_test()
 
   actual_compile_targets = set(result['compile_targets'])
   if actual_compile_targets != compile_targets:
-    print 'actual compile_targets:', actual_compile_targets, \
-           '\nexpected compile_targets:', compile_targets
+    print('actual compile_targets:', actual_compile_targets, \
+           '\nexpected compile_targets:', compile_targets)
     test.fail_test()
 
   actual_test_targets = set(result['test_targets'])
   if actual_test_targets != test_targets:
-    print 'actual test_targets:', actual_test_targets, \
-           '\nexpected test_targets:', test_targets
+    print('actual test_targets:', actual_test_targets, \
+           '\nexpected test_targets:', test_targets)
     test.fail_test()
 
   if matched and result['status'] != found:
-    print 'expected', found, 'got', result['status']
+    print('expected', found, 'got', result['status'])
     test.fail_test()
   elif not matched and result['status'] != not_found:
-    print 'expected', not_found, 'got', result['status']
+    print('expected', not_found, 'got', result['status'])
     test.fail_test()
 
 
 def EnsureMatchedAll(compile_targets, test_targets=set()):
   result = _ReadOutputFileContents()
   if 'error' in result:
-    print 'unexpected error', result.get('error')
+    print('unexpected error', result.get('error'))
     test.fail_test()
 
   if 'invalid_targets' in result:
-    print 'unexpected invalid_targets', result.get('invalid_targets')
+    print('unexpected invalid_targets', result.get('invalid_targets'))
     test.fail_test()
 
   if result['status'] != found_all:
-    print 'expected', found_all, 'got', result['status']
+    print('expected', found_all, 'got', result['status'])
     test.fail_test()
 
   actual_compile_targets = set(result['compile_targets'])
   if actual_compile_targets != compile_targets:
-    print ('actual compile_targets:', actual_compile_targets,
-           '\nexpected compile_targets:', compile_targets)
+    print(('actual compile_targets:', actual_compile_targets,
+           '\nexpected compile_targets:', compile_targets))
     test.fail_test()
 
   actual_test_targets = set(result['test_targets'])
   if actual_test_targets != test_targets:
-    print ('actual test_targets:', actual_test_targets,
-           '\nexpected test_targets:', test_targets)
+    print(('actual test_targets:', actual_test_targets,
+           '\nexpected test_targets:', test_targets))
     test.fail_test()
 
 
@@ -133,15 +133,15 @@ def EnsureError(expected_error_string):
   """Verifies output contains the error string."""
   result = _ReadOutputFileContents()
   if result.get('error', '').find(expected_error_string) == -1:
-    print 'actual error:', result.get('error', ''), '\nexpected error:', \
-        expected_error_string
+    print('actual error:', result.get('error', ''), '\nexpected error:', \
+        expected_error_string)
     test.fail_test()
 
 
 def EnsureStdoutContains(expected_error_string):
   if test.stdout().find(expected_error_string) == -1:
-    print 'actual stdout:', test.stdout(), '\nexpected stdout:', \
-        expected_error_string
+    print('actual stdout:', test.stdout(), '\nexpected stdout:', \
+        expected_error_string)
     test.fail_test()
 
 
@@ -150,8 +150,8 @@ def EnsureInvalidTargets(expected_invalid_targets):
   result = _ReadOutputFileContents()
   actual_invalid_targets = set(result['invalid_targets'])
   if actual_invalid_targets != expected_invalid_targets:
-    print 'actual invalid_targets:', actual_invalid_targets, \
-        '\nexpected :', expected_invalid_targets
+    print('actual invalid_targets:', actual_invalid_targets, \
+        '\nexpected :', expected_invalid_targets)
     test.fail_test()
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/arflags/gyptest-arflags.py b/media/webrtc/trunk/tools/gyp/test/arflags/gyptest-arflags.py
index a5cbcac77d..36248fd63b 100644
--- a/media/webrtc/trunk/tools/gyp/test/arflags/gyptest-arflags.py
+++ b/media/webrtc/trunk/tools/gyp/test/arflags/gyptest-arflags.py
@@ -13,7 +13,7 @@ import sys
 import TestGyp
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/compiler-override/gyptest-compiler-global-settings.py b/media/webrtc/trunk/tools/gyp/test/compiler-override/gyptest-compiler-global-settings.py
index d58fc7c2f9..500c7a56f7 100755
--- a/media/webrtc/trunk/tools/gyp/test/compiler-override/gyptest-compiler-global-settings.py
+++ b/media/webrtc/trunk/tools/gyp/test/compiler-override/gyptest-compiler-global-settings.py
@@ -66,7 +66,7 @@ test.must_contain_all_lines(test.stdout(), ['my_cc.py', 'my_cxx.py', 'BAR'])
 
 # Check that CC_host overrides make_global_settings
 old_env = dict(os.environ)
-os.environ['CC_host'] = '%s %s/my_cc.py SECRET' % (replacements['PYTHON'],
+os.environ['CC_host'] = '{} {}/my_cc.py SECRET'.format(replacements['PYTHON'],
                                                    replacements['PWD'])
 test.run_gyp(gypfile)
 os.environ.clear()
diff --git a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_cc.py b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_cc.py
index e2f0bdd51c..b4d9e32b8b 100755
--- a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_cc.py
+++ b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_cc.py
@@ -3,4 +3,4 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 import sys
-print sys.argv
+print(sys.argv)
diff --git a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_cxx.py b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_cxx.py
index e2f0bdd51c..b4d9e32b8b 100755
--- a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_cxx.py
+++ b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_cxx.py
@@ -3,4 +3,4 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 import sys
-print sys.argv
+print(sys.argv)
diff --git a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_ld.py b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_ld.py
index e2f0bdd51c..b4d9e32b8b 100755
--- a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_ld.py
+++ b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_ld.py
@@ -3,4 +3,4 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 import sys
-print sys.argv
+print(sys.argv)
diff --git a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_nm.py b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_nm.py
index f0f1efcf73..578d680bc5 100755
--- a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_nm.py
+++ b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_nm.py
@@ -3,6 +3,6 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 import sys
-print sys.argv
+print(sys.argv)
 with open('RAN_MY_NM', 'w') as f:
   f.write('RAN_MY_NM')
diff --git a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_readelf.py b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_readelf.py
index 40e303cd76..6ec7c9ea22 100755
--- a/media/webrtc/trunk/tools/gyp/test/compiler-override/my_readelf.py
+++ b/media/webrtc/trunk/tools/gyp/test/compiler-override/my_readelf.py
@@ -3,6 +3,6 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 import sys
-print sys.argv
+print(sys.argv)
 with open('RAN_MY_READELF', 'w') as f:
   f.write('RAN_MY_READELF')
diff --git a/media/webrtc/trunk/tools/gyp/test/configurations/inheritance/gyptest-duplicates.py b/media/webrtc/trunk/tools/gyp/test/configurations/inheritance/gyptest-duplicates.py
index 46687b4549..ebf5a5791f 100755
--- a/media/webrtc/trunk/tools/gyp/test/configurations/inheritance/gyptest-duplicates.py
+++ b/media/webrtc/trunk/tools/gyp/test/configurations/inheritance/gyptest-duplicates.py
@@ -27,7 +27,7 @@ contents = test.read('duplicates.gypd').replace(
     '\r', '').replace('\\\\', '/')
 expect = test.read('duplicates.gypd.golden').replace('\r', '')
 if not test.match(contents, expect):
-  print "Unexpected contents of `duplicates.gypd'"
+  print("Unexpected contents of `duplicates.gypd'")
   test.diff(expect, contents, 'duplicates.gypd ')
   test.fail_test()
 
diff --git a/media/webrtc/trunk/tools/gyp/test/configurations/target_platform/gyptest-target_platform.py b/media/webrtc/trunk/tools/gyp/test/configurations/target_platform/gyptest-target_platform.py
index ae4e9e5a2d..9e25864989 100755
--- a/media/webrtc/trunk/tools/gyp/test/configurations/target_platform/gyptest-target_platform.py
+++ b/media/webrtc/trunk/tools/gyp/test/configurations/target_platform/gyptest-target_platform.py
@@ -15,7 +15,7 @@ import TestCommon
 def RunX64(exe, stdout):
   try:
     test.run_built_executable(exe, stdout=stdout)
-  except WindowsError, e:
+  except OSError as e:
     # Assume the exe is 64-bit if it can't load on 32-bit systems.
     # Both versions of the error are required because different versions
     # of python seem to return different errors for invalid exe type.
diff --git a/media/webrtc/trunk/tools/gyp/test/copies/gyptest-updir.py b/media/webrtc/trunk/tools/gyp/test/copies/gyptest-updir.py
index a34ae70723..19012d6d27 100755
--- a/media/webrtc/trunk/tools/gyp/test/copies/gyptest-updir.py
+++ b/media/webrtc/trunk/tools/gyp/test/copies/gyptest-updir.py
@@ -14,7 +14,7 @@ import sys
 import TestGyp
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 test = TestGyp.TestGyp()
diff --git a/media/webrtc/trunk/tools/gyp/test/determinism/gyptest-solibs.py b/media/webrtc/trunk/tools/gyp/test/determinism/gyptest-solibs.py
index de9588db1c..309ce6d9a0 100644
--- a/media/webrtc/trunk/tools/gyp/test/determinism/gyptest-solibs.py
+++ b/media/webrtc/trunk/tools/gyp/test/determinism/gyptest-solibs.py
@@ -28,7 +28,7 @@ if test.format == 'ninja':
     if base1 != contents1:
       test.fail_test()
     if base2 != contents2:
-      print base2
+      print(base2)
       test.fail_test()
 
   del os.environ["PYTHONHASHSEED"]
diff --git a/media/webrtc/trunk/tools/gyp/test/determinism/rule.py b/media/webrtc/trunk/tools/gyp/test/determinism/rule.py
index 310a98192c..befec608ff 100644
--- a/media/webrtc/trunk/tools/gyp/test/determinism/rule.py
+++ b/media/webrtc/trunk/tools/gyp/test/determinism/rule.py
@@ -1,3 +1,5 @@
 #!/usr/bin/env python
 
-print 'Hello World'
+#!/usr/bin/env python
+
+print('Hello World')
diff --git a/media/webrtc/trunk/tools/gyp/test/escaping/gyptest-colon.py b/media/webrtc/trunk/tools/gyp/test/escaping/gyptest-colon.py
index 61a0e245f9..0f4a68a7c7 100644
--- a/media/webrtc/trunk/tools/gyp/test/escaping/gyptest-colon.py
+++ b/media/webrtc/trunk/tools/gyp/test/escaping/gyptest-colon.py
@@ -9,11 +9,12 @@ Tests that filenames that contain colons are handled correctly.
 (This is important for absolute paths on Windows.)
 """
 
+from __future__ import print_function
 import os
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/generator-output/gyptest-mac-bundle.py b/media/webrtc/trunk/tools/gyp/test/generator-output/gyptest-mac-bundle.py
index 8d19eedbed..38f4f6fce2 100644
--- a/media/webrtc/trunk/tools/gyp/test/generator-output/gyptest-mac-bundle.py
+++ b/media/webrtc/trunk/tools/gyp/test/generator-output/gyptest-mac-bundle.py
@@ -13,7 +13,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=[])
diff --git a/media/webrtc/trunk/tools/gyp/test/generator-output/rules/copy-file.py b/media/webrtc/trunk/tools/gyp/test/generator-output/rules/copy-file.py
index 938c336adb..8e513f6bbe 100755
--- a/media/webrtc/trunk/tools/gyp/test/generator-output/rules/copy-file.py
+++ b/media/webrtc/trunk/tools/gyp/test/generator-output/rules/copy-file.py
@@ -6,7 +6,7 @@
 
 import sys
 
-contents = open(sys.argv[1], 'r').read()
+contents = open(sys.argv[1]).read()
 open(sys.argv[2], 'wb').write(contents)
 
 sys.exit(0)
diff --git a/media/webrtc/trunk/tools/gyp/test/ios/gyptest-app-ios.py b/media/webrtc/trunk/tools/gyp/test/ios/gyptest-app-ios.py
index f9052549d0..da33c054b9 100755
--- a/media/webrtc/trunk/tools/gyp/test/ios/gyptest-app-ios.py
+++ b/media/webrtc/trunk/tools/gyp/test/ios/gyptest-app-ios.py
@@ -17,13 +17,13 @@ def CheckFileXMLPropertyList(file):
   output = subprocess.check_output(['file', file])
   # The double space after XML is intentional.
   if not 'XML  document text' in output:
-    print 'File: Expected XML  document text, got %s' % output
+    print('File: Expected XML  document text, got %s' % output)
     test.fail_test()
 
 def CheckFileBinaryPropertyList(file):
   output = subprocess.check_output(['file', file])
   if not 'Apple binary property list' in output:
-    print 'File: Expected Apple binary property list, got %s' % output
+    print('File: Expected Apple binary property list, got %s' % output)
     test.fail_test()
 
 if sys.platform == 'darwin':
diff --git a/media/webrtc/trunk/tools/gyp/test/ios/gyptest-archs.py b/media/webrtc/trunk/tools/gyp/test/ios/gyptest-archs.py
index c653d997ad..daf2e014db 100644
--- a/media/webrtc/trunk/tools/gyp/test/ios/gyptest-archs.py
+++ b/media/webrtc/trunk/tools/gyp/test/ios/gyptest-archs.py
@@ -48,7 +48,7 @@ if sys.platform == 'darwin':
         kwds['arguments'].extend(['-arch', archs[0]])
 
     test.set_configuration(configuration)
-    filename = '%s.app/%s' % (target, target)
+    filename = '{}.app/{}'.format(target, target)
     test.build('test-archs.gyp', target, chdir='app-bundle', **kwds)
     result_file = test.built_file_path(filename, chdir='app-bundle')
 
